/**
 * 过滤文件, 过滤 .DS_Store, node_modules, 以.开头的文件， 过滤 __开头的文件
 * @param files
 * @returns
 */
export const filterFiles = (files: File[]) => {
  files = files.filter((file) => {
    if (file.webkitRelativePath.startsWith('__MACOSX')) {
      return false;
    }
    // 过滤node_modules
    if (file.webkitRelativePath.includes('node_modules')) {
      return false;
    }
    // 过滤文件 .DS_Store
    if (file.name === '.DS_Store') {
      return false;
    }
    // 过滤以.开头的文件
    return !file.name.startsWith('.');
  });
  return files;
};
